#ifndef LNM_COMMON
#define LNM_COMMON

#define LNM_RES(x)                                                             \
  {                                                                            \
    lnm_err res = x;                                                           \
    if (res != lnm_err_ok)                                                     \
      return res;                                                              \
  }

#define LNM_RES2(x, e)                                                         \
  {                                                                            \
    lnm_err res = x;                                                           \
    if (res != lnm_err_ok) {                                                   \
      e;                                                                       \
      return res;                                                              \
    }                                                                          \
  }

typedef enum {
  lnm_err_ok = 0,
  lnm_err_failed_alloc,
  lnm_err_failed_network,
  lnm_err_failed_poll,
  lnm_err_not_setup,
  lnm_err_bad_regex
} lnm_err;

#endif
