#ifndef LNM_HTTP_RES
#define LNM_HTTP_RES

#include <stdbool.h>

#include "lnm/http/consts.h"

typedef struct lnm_http_res_header {
  struct {
    char *s;
    size_t len;
    bool owned;
  } name;
  struct {
    char *s;
    size_t len;
    bool owned;
  } value;
  struct lnm_http_res_header *next;
} lnm_http_res_header;

typedef struct lnm_http_res {
  lnm_http_status status;
  struct {
    lnm_http_res_header *head;
    lnm_http_res_header *current;
  } headers;
} lnm_http_res;

#endif
